org.jgrapht.graph

## Class UndirectedMaskSubgraph<V,E>

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.MaskSubgraph<V,E>
    - - org.jgrapht.graph.UndirectedMaskSubgraph<V,E>

- All Implemented Interfaces:
    Graph<V,E>, UndirectedGraph<V,E>

      public class UndirectedMaskSubgraph<V,E>
      extends MaskSubgraph<V,E>
      implements UndirectedGraph<V,E>

  An undirected graph that is a `MaskSubgraph` on another graph.
  Since:
    July 5, 2007
  Author:
    Guillaume Boulmier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndirectedMaskSubgraph(UndirectedGraph<V,E> base, MaskFunctor<V,E> mask)`

  - ### Method Summary

    - ### Methods inherited from class org.jgrapht.graph.MaskSubgraph

      `addEdge, addEdge, addVertex, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

    - ### Methods inherited from class org.jgrapht.graph.AbstractGraph

      `assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, toString, toStringFromSets`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.UndirectedGraph

      `degreeOf`

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Constructor Detail

    - #### UndirectedMaskSubgraph

          public UndirectedMaskSubgraph(UndirectedGraph<V,E> base,
                                MaskFunctor<V,E> mask)

Copyright © 2016. All rights reserved.